Bug 31518 - Hidden items count not displayed on hold request page
Summary: Hidden items count not displayed on hold request page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Joonas Kylmälä
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-09-04 07:21 UTC by Joonas Kylmälä
Modified: 2022-11-26 03:58 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.07, 21.11.14


Attachments
Bug 31518: Fix syntax error on request.tt that prevents showing hidden item count (1.90 KB, patch)
2022-09-04 07:27 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 31518: Fix syntax error on request.tt that prevents showing hidden item count (1.95 KB, patch)
2022-09-07 10:28 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joonas Kylmälä 2022-09-04 07:21:53 UTC
If I go place a hold on staff interface (request.pl) and the staff member logged in has "Lost items in staff interface" setting set to "Hidden by default" in the patron category settings and a biblio has a lost item then we get on the page the following link:

> Show all items ( hidden) 

The lost/hidden item count is missing due to a syntax error, it should read:

> Show all items (1 hidden)
Comment 1 Joonas Kylmälä 2022-09-04 07:27:16 UTC
Created attachment 140198 [details] [review]
Bug 31518: Fix syntax error on request.tt that prevents showing hidden item count

The variable set by request.pl doesn't have biblio prefix, it is just
hiddencount.

To test:
 1) Log in with a staff member account that has "Lost items in staff
 interface" setting set to "Hidden by default" in the patron category
 settings
 2) Add a lost item to biblio
 3) Go place a hold on staff interface (request.pl) notice the broken
 link on the request page: "Show all items ( hidden)"
 4) After applying the patch it should read "Show all items (1 hidden)"
Comment 2 Katrin Fischer 2022-09-07 10:28:01 UTC
Created attachment 140268 [details] [review]
Bug 31518: Fix syntax error on request.tt that prevents showing hidden item count

The variable set by request.pl doesn't have biblio prefix, it is just
hiddencount.

To test:
 1) Log in with a staff member account that has "Lost items in staff
 interface" setting set to "Hidden by default" in the patron category
 settings
 2) Add a lost item to biblio
 3) Go place a hold on staff interface (request.pl) notice the broken
 link on the request page: "Show all items ( hidden)"
 4) After applying the patch it should read "Show all items (1 hidden)"

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2022-09-07 10:28:50 UTC
Great catch, thx Joonas! Moving to PQA directly as this is an obvious template variable fix.
Comment 4 Tomás Cohen Arazi 2022-09-23 12:14:20 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 5 Lucas Gass 2022-11-01 22:04:12 UTC
Backported to 22.05.x for upcoming 22.05.07 release
Comment 6 Arthur Suzuki 2022-11-15 17:00:22 UTC
applied to 21.11 for 21.11.14
Comment 7 Victor Grousset/tuxayo 2022-11-26 03:58:30 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.